
/**
 * XYDataInstrument.java
 * This is stores information for importing a particular xydata file.
 * Created: June 19, 2005
 *
 * @author Nathan Stevens
 * @version 0.2 3/12/06
 */
import java.io.*;

public class XYDataInstrument implements Serializable {
  private String instrument = null;  // The instrument type
  private String instrumentName = null; // The name of the instrument
  private String delimiter = null;  // The delimiter
  private String regex = null;  // The regular expression for finding the data
  private String description = null;  // The description of the data
  private String[] axis = null; // stores the axis units and labels
  private String[] notes = null; // the notes to add
  private boolean ascending = true;  // data the goes from 0 to xxx
  
  private String fileDescription = null; // descriptions of the data files
  private String[] fileExtensions = null; // the extensions of the data files
  
  // default constructor
  public XYDataInstrument() { }
  
  // The real constructor
  public XYDataInstrument(String instrument, String instrumentName, String delimiter,
  String regex, String description, String[] axis, String[] notes, boolean ascending) {
    this.instrument = instrument;
    this.instrumentName = instrumentName;
    this.delimiter = delimiter;
    this.regex = regex;
    this.description = description;
    this.axis = axis;
    this.notes = notes;
    this.ascending = ascending;
  }
  
  // Method to get the instrument type
  public String getInstrument() {
    return instrument;
  }
  
  // Method to get the instrument name
  public String getInstrumentName() {
    return instrumentName;
  }
  
  // Method to get the delimiter
  public String getDelimiter() {
    return delimiter;
  }
  
  // Method to get the regex
  public String getRegex() {
    return regex;
  }
  
  // Method to get the description
  public String getDescription() {
    return description;
  }
  
  // Method to get the description
  public String[] getAxis() {
    return axis;
  }
  
  // Method to get the description
  public String[] getNotes() {
    return notes;
  }
  
  public boolean isAscending() {
    return ascending;
  }
  
  // Method to set the file extensions description
  public void setFileDescription(String fileDescription) {
    this.fileDescription = fileDescription;
  }
  
  // Method to set the file extensions description
  public String getFileDescription() {
    return fileDescription;
  }
  
  // Method to set the file extensions
  public void setFileExtensions(String[] fileExtensions) {
    this.fileExtensions = fileExtensions;
  }
  
  // Method to set the file extensions description
  public String[] getFileExtensions() {
    return fileExtensions;
  }
}// --end class XYDataInstrument
